# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KScriptInterface Class Reference

This class is the base for all script engines. More...

`#include <scriptinterface.h>`

Inheritance diagram for KScriptInterface:

[legend]
Collaboration diagram for KScriptInterface:

[legend]
List of all members.

## Public Member Functions

virtual QString | script () const =0
virtual void | setScript (const QString &scriptFile)=0
virtual void | setScript (const QString &scriptLibFile, const QString &method)=0
virtual void | run (QObject *context=0, const QVariant &arg=0)=0
virtual void | kill ()=0

## Public Attributes

KScriptClientInterface * | ScriptClientInterface

## Detailed Description

This class is the base for all script engines.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 47 of file scriptinterface.h.

## Member Function Documentation

virtual QString KScriptInterface::script | ( |  | ) | const`[pure virtual]`

Return the current script code data.

Returns:
  QString containing the currenly runable code

virtual void KScriptInterface::setScript | ( | const QString & | scriptFile | ) | `[pure virtual]`

| Sets the path to the script library that we are going to embed.

virtual void KScriptInterface::setScript | ( | const QString & | scriptLibFile,
|  | const QString & | method
| ) | `[pure virtual]`

| Sets the path to the script library that we are going to embed. The second argument is the function from the script library that we wish to call.

virtual void KScriptInterface::run | ( | QObject * | context = `0`,
|  | const QVariant & | arg = `0`
| ) | `[pure virtual]`

| Run the actual script code This can both take a context object that will be shared between the main application and a variant that will contain the arguments.

virtual void KScriptInterface::kill | ( |  | ) | `[pure virtual]`

| Abort the scripts run.

## Member Data Documentation

KScriptClientInterface* KScriptInterface::ScriptClientInterface

This is the method for sending feedback to applications.

example of how this works:

            ScriptClientInterface->error( message_to_send_back_to_the_main_application );

Will send the error message back to the main application.

Definition at line 85 of file scriptinterface.h.

The documentation for this class was generated from the following file:

- scriptinterface.h

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:01 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003